## asm 0.1.0

=== DESCRIPTION ===
Package: asm
Type: Package
Title: Optimal Convex M-Estimation for Linear Regression via Antitonic
        Score Matching
Version: 0.1.0
Authors@R: c(person("Yu-Chun", "Kao", email="ethankao1988@gmail.com", role=c("aut")),
            person("Min", "Xu", email="min.cut@gmail.com", role=c("aut", "cre")),
            person("Oliver", "Feng", email="screelt@gmail.com", role=c("aut")))
License: GPL (>= 3)
Description: Performs linear regression with respect to a data-driven convex loss function that is chosen to minimize the asymptotic covariance of the resulting M-estimator. The convex loss function is estimated in 5 steps: (1) form an initial OLS (ordinary least squares) or LAD (least absolute deviation) estimate of the regression coefficients; (2) use the resulting residuals to obtain a kernel estimator of the error density; (3) estimate the score function of the errors by differentiating the logarithm of the kernel density estimate; (4) compute the L2 projection of the estimated score function onto the set of decreasing functions; (5) take a negative antiderivative of the projected score function estimate. Newton's method (with Hessian modification) is then used to minimize the convex empirical risk function. Further details of the method are given in Feng et al. (2024) <doi:10.48550/arXiv.2403.16688>.
Encoding: UTF-8
Depends: R (>= 3.1)
Imports: fdrtool, pracma, Iso, MASS, quantreg
RoxygenNote: 7.3.1
NeedsCompilation: no
Packaged: 2024-04-24 20:10:53 UTC; minx
Author: Yu-Chun Kao [aut],
  Min Xu [aut, cre],
  Oliver Feng [aut]
Maintainer: Min Xu <min.cut@gmail.com>
Repository: CRAN
Date/Publication: 2024-04-25 15:40:02 UTC

## asm 0.2.0

=== DESCRIPTION ===
Package: asm
Type: Package
Title: Optimal Convex M-Estimation for Linear Regression via Antitonic
        Score Matching
Version: 0.2.0
Authors@R: c(person("Yu-Chun", "Kao", email="ethankao1988@gmail.com", role=c("aut")),
            person("Min", "Xu", email="min.cut@gmail.com", role=c("aut", "cre")),
            person(given=c("Oliver", "Y."), family="Feng", email="screelt@gmail.com", role=c("aut")),
            person(given=c("Richard", "J."), family="Samworth", email="rjs57@cam.ac.uk", role=c("aut")))
License: GPL (>= 3)
Description: Performs linear regression with respect to a data-driven convex loss function that is chosen to minimize the asymptotic covariance of the resulting M-estimator. The convex loss function is estimated in 5 steps: (1) form an initial OLS (ordinary least squares) or LAD (least absolute deviation) estimate of the regression coefficients; (2) use the resulting residuals to obtain a kernel estimator of the error density; (3) estimate the score function of the errors by differentiating the logarithm of the kernel density estimate; (4) compute the L2 projection of the estimated score function onto the set of decreasing functions; (5) take a negative antiderivative of the projected score function estimate. Newton's method (with Hessian modification) is then used to minimize the convex empirical risk function. Further details of the method are given in Feng et al. (2024) <doi:10.48550/arXiv.2403.16688>.
Encoding: UTF-8
Depends: R (>= 3.1)
Imports: fdrtool, pracma, Iso, MASS, quantreg
RoxygenNote: 7.3.1
NeedsCompilation: no
Packaged: 2024-05-11 01:30:02 UTC; minx
Author: Yu-Chun Kao [aut],
  Min Xu [aut, cre],
  Oliver Y. Feng [aut],
  Richard J. Samworth [aut]
Maintainer: Min Xu <min.cut@gmail.com>
Repository: CRAN
Date/Publication: 2024-05-11 02:23:05 UTC

## asm 0.2.1

=== DESCRIPTION ===
Package: asm
Type: Package
Title: Optimal Convex M-Estimation for Linear Regression via Antitonic
        Score Matching
Version: 0.2.1
Authors@R: c(person("Yu-Chun", "Kao", email="ethankao1988@gmail.com", role=c("aut")),
            person(given=c("Oliver", "Y."), family="Feng", email="screelt@gmail.com", role=c("aut")),
            person("Lucy", "Xia", email="lucyxia@ust.hk", role=c("aut")),
            person("Yang", "Feng", email="yang.feng@nyu.edu", role=c("aut")),
            person("Min", "Xu", email="min.cut@gmail.com", role=c("aut", "cre")),
            person(given=c("Richard", "J."), family="Samworth", email="rjs57@cam.ac.uk", role=c("aut")))
License: GPL (>= 3)
Description: Performs linear regression with respect to a data-driven convex loss function that is chosen to minimize the asymptotic covariance of the resulting M-estimator. The convex loss function is estimated in 5 steps: (1) form an initial OLS (ordinary least squares) or LAD (least absolute deviation) estimate of the regression coefficients; (2) use the resulting residuals to obtain a kernel estimator of the error density; (3) estimate the score function of the errors by differentiating the logarithm of the kernel density estimate; (4) compute the L2 projection of the estimated score function onto the set of decreasing functions; (5) take a negative antiderivative of the projected score function estimate. Newton's method (with Hessian modification) is then used to minimize the convex empirical risk function. Further details of the method are given in Feng et al. (2024) <doi:10.48550/arXiv.2403.16688>.
Encoding: UTF-8
Depends: R (>= 3.1)
Imports: fdrtool, pracma, Iso, MASS, quantreg
RoxygenNote: 7.3.1
Suggests: testthat (>= 3.0.0)
Config/testthat/edition: 3
NeedsCompilation: no
Packaged: 2025-01-29 03:45:16 UTC; minx
Author: Yu-Chun Kao [aut],
  Oliver Y. Feng [aut],
  Lucy Xia [aut],
  Yang Feng [aut],
  Min Xu [aut, cre],
  Richard J. Samworth [aut]
Maintainer: Min Xu <min.cut@gmail.com>
Repository: CRAN
Date/Publication: 2025-01-29 04:00:02 UTC

## asm 0.2.2

=== DESCRIPTION ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Type: Package
 Title: Optimal Convex M-Estimation for Linear Regression via Antitonic
         Score Matching
-Version: 0.2.1
+Version: 0.2.2
 Authors@R: c(person("Yu-Chun", "Kao", email="ethankao1988@gmail.com", role=c("aut")),
             person(given=c("Oliver", "Y."), family="Feng", email="screelt@gmail.com", role=c("aut")),
             person("Lucy", "Xia", email="lucyxia@ust.hk", role=c("aut")),
@@ -14,11 +14,11 @@
 Encoding: UTF-8
 Depends: R (>= 3.1)
 Imports: fdrtool, pracma, Iso, MASS, quantreg
-RoxygenNote: 7.3.1
+RoxygenNote: 7.3.2
 Suggests: testthat (>= 3.0.0)
 Config/testthat/edition: 3
 NeedsCompilation: no
-Packaged: 2025-01-29 03:45:16 UTC; minx
+Packaged: 2025-03-23 01:59:29 UTC; mx76
 Author: Yu-Chun Kao [aut],
   Oliver Y. Feng [aut],
   Lucy Xia [aut],
@@ -27,4 +27,4 @@
   Richard J. Samworth [aut]
 Maintainer: Min Xu <min.cut@gmail.com>
 Repository: CRAN
-Date/Publication: 2025-01-29 04:00:02 UTC
+Date/Publication: 2025-03-23 03:20:02 UTC

## asm 0.2.3

=== DESCRIPTION ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Type: Package
 Title: Optimal Convex M-Estimation for Linear Regression via Antitonic
         Score Matching
-Version: 0.2.2
+Version: 0.2.3
 Authors@R: c(person("Yu-Chun", "Kao", email="ethankao1988@gmail.com", role=c("aut")),
             person(given=c("Oliver", "Y."), family="Feng", email="screelt@gmail.com", role=c("aut")),
             person("Lucy", "Xia", email="lucyxia@ust.hk", role=c("aut")),
@@ -18,7 +18,7 @@
 Suggests: testthat (>= 3.0.0)
 Config/testthat/edition: 3
 NeedsCompilation: no
-Packaged: 2025-03-23 01:59:29 UTC; mx76
+Packaged: 2025-04-06 19:48:48 UTC; mx76
 Author: Yu-Chun Kao [aut],
   Oliver Y. Feng [aut],
   Lucy Xia [aut],
@@ -27,4 +27,4 @@
   Richard J. Samworth [aut]
 Maintainer: Min Xu <min.cut@gmail.com>
 Repository: CRAN
-Date/Publication: 2025-03-23 03:20:02 UTC
+Date/Publication: 2025-04-06 20:00:05 UTC

## asm 0.2.4

=== DESCRIPTION ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Type: Package
 Title: Optimal Convex M-Estimation for Linear Regression via Antitonic
         Score Matching
-Version: 0.2.3
+Version: 0.2.4
 Authors@R: c(person("Yu-Chun", "Kao", email="ethankao1988@gmail.com", role=c("aut")),
             person(given=c("Oliver", "Y."), family="Feng", email="screelt@gmail.com", role=c("aut")),
             person("Lucy", "Xia", email="lucyxia@ust.hk", role=c("aut")),
@@ -18,7 +18,7 @@
 Suggests: testthat (>= 3.0.0)
 Config/testthat/edition: 3
 NeedsCompilation: no
-Packaged: 2025-04-06 19:48:48 UTC; mx76
+Packaged: 2025-05-28 00:14:00 UTC; mx76
 Author: Yu-Chun Kao [aut],
   Oliver Y. Feng [aut],
   Lucy Xia [aut],
@@ -27,4 +27,4 @@
   Richard J. Samworth [aut]
 Maintainer: Min Xu <min.cut@gmail.com>
 Repository: CRAN
-Date/Publication: 2025-04-06 20:00:05 UTC
+Date/Publication: 2025-05-28 02:10:01 UTC

## asm 1.5.3

=== debian/changelog ===
asm (1.5.3-7) unstable; urgency=low

  * Team upload.

  [ Thierry Carrez ]
  * debian/control: Minimally depend on java2-runtime-headless rather than
    java1-runtime | java2-runtime, since full JRE is not needed.
  * debian/ant.properties: force java2 code generation to match dependency.

  [ Torsten Werner ]
  * Switch to source format 3.0.
  * Remove Barry from uploaders list.
  * Update Standards-Version: 3.8.4.

 -- Torsten Werner <twerner@debian.org>  Sun, 09 May 2010 02:44:05 +0200

asm (1.5.3-6) unstable; urgency=low

  [ Damien Raude-Morvan ]
  * Removed Marcus Crafter from Uploaders (Closes: #521478)

  [ Michael Koch ]
  * (Build-)Depends on default-jdk.
  * Build-Depends on debhelper >= 7.
  * Moved package to section 'java'.
  * Let all packages depend on ${misc:Depends}.
  * Updated to Standards-Version 3.8.3.

 -- Michael Koch <konqueror@gmx.de>  Wed, 16 Sep 2009 22:38:53 +0200

asm (1.5.3-5) unstable; urgency=low

  * Rewrote debian/copyright.
  * Rewrote debian/rules.
  * Updated debhelper level to 5.
  * (Build-)Depends on java-gcj-compat(-dev) instead of kaffe.
  * Removed Wolfgang from Uploaders and added myself.
  * Added Homepage, Vcs-Svn and Vcs-Browser fields.
  * Updated Standards-Version to 3.7.3.
  * Added watch file.

 -- Michael Koch <konqueror@gmx.de>  Tue, 19 Feb 2008 20:32:44 +0100

asm (1.5.3-4) unstable; urgency=low

  * Updated standards version and uploader email
  * Added Section: specifications for binary packages

 -- Barry Hawkins <barry@alltc.com>  Sat, 06 May 2006 21:48:59 -0400

asm (1.5.3-3) unstable; urgency=low

  * kaffe compiler transition
  * Added myself to uploaders

 -- Wolfgang Baer <WBaer@gmx.de>  Mon, 16 Jan 2006 14:29:46 +0100

asm (1.5.3-2) unstable; urgency=low

  * Added missing dpatch build dependency (Closes: #328741) 

 -- Barry Hawkins <barry@bytemason.org>  Sat, 17 Sep 2005 16:37:36 -0400

asm (1.5.3-1) unstable; urgency=low

  * New upstream version.
  * Package moved to main using kaffe and ant (Closes: #310237)
  * Removed ow_util_ant_tasks.uue and build against libow-util-ant-tasks-java
  * Removed sharutils build dependency - no longer needed
  * Removed ${misc:Depends} from depends - not needed in binary all package
  * Adjusted build-dep on libow-util-ant-tasks-java to fixed 1.3-2 version
  * Fixed description to make linda happy
  * Package moved into Debian Java Maintainers project
  * Updated standards version to 3.6.2

 -- Barry Hawkins <barry@bytemason.org>  Wed, 17 Aug 2005 00:18:39 -0400

asm (1.5.2-1) unstable; urgency=low

  * New upstream release.

 -- Marcus Crafter <crafterm@debian.org>  Sat, 18 Dec 2004 23:05:32 +0100

asm (1.4.3-2) unstable; urgency=low

  * Fixed broken link to asm.jar

 -- Marcus Crafter <crafterm@debian.org>  Wed,  1 Sep 2004 22:30:33 +0200

asm (1.4.3-1) unstable; urgency=low

  * Initial Release.
    (closes: #268643)

 -- Marcus Crafter <crafterm@debian.org>  Fri, 27 Aug 2004 19:08:25 +0200

=== debian/control ===
Source: asm
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Michael Koch <konqueror@gmx.de>
Build-Depends: debhelper (>= 7), cdbs, default-jdk
Build-Depends-Indep: libow-util-ant-tasks-java (>= 1.3-2)
Standards-Version: 3.8.4
Vcs-Svn: svn://svn.debian.org/svn/pkg-java/trunk/asm
Vcs-Browser: http://svn.debian.org/wsvn/pkg-java/trunk/asm/
Homepage: http://asm.objectweb.org/

Package: libasm-java
Architecture: all
Depends: default-jdk | java2-runtime-headless, ${misc:Depends}
Suggests: libasm-java-doc
Description: Java bytecode manipulation framework
 It can be used to dynamically generate stub classes or other proxy classes,
 directly in binary form, or to dynamically modify classes at load time, i.e.,
 just before they are loaded into the Java Virtual Machine.
 .
 ASM offers similar functionalities as BCEL or SERP, but is much smaller
 (25KB instead of 350KB for BCEL and 150KB for SERP) and faster
 than these tools (the overhead of a load time class transformation is on
 the order of 60% with ASM, 700% or more with BCEL, and 1100% or more with
 SERP). ASM was designed to be used in a dynamic and static way and was
 therefore designed and implemented to be as small and as fast as possible.

Package: libasm-java-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: libasm-java
Description: Documentation for ASM, the Java(TM) bytecode manipulation framework
 It can be used to dynamically generate stub classes or other proxy classes,
 directly in binary form, or to dynamically modify classes at load time, i.e.,
 just before they are loaded into a Java(TM) Virtual Machine.
 .
 This package includes the API Javadoc and examples.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/class/ant.mk
include /usr/share/cdbs/1/rules/debhelper.mk

JAVA_HOME=/usr/lib/jvm/default-java

DEB_JARS := gnujaxp.jar ant-junit junit xalan2
DEB_ANT_BUILD_TARGET := dist

install/libasm-java::
	mv output/dist/lib/*.jar $(CURDIR)/debian/libasm-java/usr/share/java

install/libasm-java::
	mkdir $(CURDIR)/debian/libasm-java-doc/usr/share/doc/libasm-java-doc/api
	mv output/dist/doc/javadoc/user/* $(CURDIR)/debian/libasm-java-doc/usr/share/doc/libasm-java-doc/api
	mv output/dist/examples $(CURDIR)/debian/libasm-java-doc/usr/share/doc/libasm-java-doc

=== debian/watch ===
version=3
http://download.forge.objectweb.org/asm/asm-(1.*)-bin.zip

## asm 5.1

=== debian/changelog ===
asm (5.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Updated the OSGi metadata in debian/osgi
  * Renamed the package back to libasm-java
  * Removed the unused build dependencies on libow-util-ant-tasks-java, antlr,
    ant-contrib, ant-optional and javahelper
  * Reduced the size of the package by linking asm-debug-all.jar to asm-all.jar
  * Set the locale when generating the Javadoc to make the build reproducible
  * Standards-Version updated to 3.9.7 (no changes)
  * Removed rm-sigtest.patch
  * Updated the package description
  * Simplified debian/rules
  * Documented the licenses for the files under test/perf

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 01 Apr 2016 11:50:01 +0200

libasm4-java (5.0.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
    - Updated the OSGi metadata in debian/osgi
    - Updated the version in debian/libasm4-java.poms
  * Standards-Version updated to 3.9.6 (no changes)
  * debian/copyright: Fixed the shortname of the BSD license

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 26 May 2015 23:27:59 +0200

libasm4-java (5.0.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
  * Refreshed the patches
  * Updated the version in debian/libasm4-java.poms

 -- Emmanuel Bourg <ebourg@apache.org>  Sat, 24 May 2014 15:07:35 +0200

libasm4-java (5.0.1-2) unstable; urgency=medium

  * Team upload.
  * Install the 4.x generic Maven artifacts to preserve the compatibility
    (Closes: #746112)

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 28 Apr 2014 11:41:48 +0200

libasm4-java (5.0.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
  * Keep the prebuilt jars used for the tests in the source tarball

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 15 Apr 2014 13:44:19 +0200

libasm4-java (4.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
  * Updated the OSGi metadata in debian/osgi
  * Standards-Version updated to 3.9.5 (no changes)
  * Switch to debhelper level 9
  * debian/copyright: Updated the Format URI
  * Use XZ compression for the upstream tarball
  * debian/rules: Removed the unused gnujaxp.jar from the classpath

 -- Emmanuel Bourg <ebourg@apache.org>  Sun, 09 Mar 2014 23:46:26 +0100

libasm4-java (4.1-3) unstable; urgency=low

  * Upload to unstable.
  * d/control: Use canonical URL for Vcs-*.

 -- Damien Raude-Morvan <drazzib@debian.org>  Sun, 05 May 2013 22:28:01 +0200

libasm4-java (4.1-2) experimental; urgency=low

  * d/patches/remove_bnd.diff: Re-work so that each jar only include expected
    packages instead of -all.

 -- Damien Raude-Morvan <drazzib@debian.org>  Sun, 13 Jan 2013 16:59:41 +0100

libasm4-java (4.1-1) experimental; urgency=low

  * Team upload.
  * New package libasm4-java (ITP: #623950) based on libasm3-java packaging.
    ASM 4.x is need for Java 7 support (ie. for class format 51).
  * d/control: Set Aditya Vaidya and myself as Uploaders.
  * d/control: Import packaging in Alioth Git, so update Vcs-* headers.
  * d/patches/remove-bnd.diff: Drop usage of BND to create OSGi metadata
    and use pre-generated MANIFEST from debian/osgi/.
  * d/maven.rules: Replace poms version by "4.x".

 -- Damien Raude-Morvan <drazzib@debian.org>  Tue, 08 Jan 2013 22:08:59 +0100

libasm4-java (4.1-0~ppa1) precise; urgency=low

  * New upstream release
  * debian/patches/rm-sigtest.patch: refresh for new release

 -- Aditya Vaidya <kroq.gar78@gmail.com>  Sat, 20 Oct 2012 22:18:09 -0500

libasm4-java (4.0-0~ppa1) precise; urgency=low

  * New upstream release.
  * debian/control: bump Standards-Version to 3.9.3
  * debian/patches/rm-sigtest.patch: remove references to sigtest
    because it's not packaged

 -- Aditya Vaidya <kroq.gar78@gmail.com>  Sat, 20 Oct 2012 14:26:20 -0500

=== debian/control ===
Source: asm
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Aditya Vaidya <kroq.gar78@gmail.com>,
           Damien Raude-Morvan <drazzib@debian.org>
Build-Depends: cdbs, debhelper (>= 9), default-jdk
Build-Depends-Indep: ant, maven-repo-helper
Standards-Version: 3.9.7
Vcs-Git: https://anonscm.debian.org/git/pkg-java/asm.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-java/asm.git
Homepage: http://asm.objectweb.org

Package: libasm-java
Architecture: all
Depends: ${misc:Depends}
Description: Java bytecode manipulation framework
 ASM is an all purpose Java bytecode manipulation and analysis framework.
 It can be used to modify existing classes or dynamically generate classes,
 directly in binary form. Provided common transformations and analysis
 algorithms allow one to easily assemble custom complex transformations
 and code analysis tools.
 .
 ASM offer similar functionality as other bytecode frameworks, but it is
 focused on simplicity of use and performance. Because it was designed and
 implemented to be as small and as fast as possible, it makes it very
 attractive for using in dynamic systems.

Package: libasm-java-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: libasm-java
Description: Java bytecode manipulation framework (documentation)
 ASM is an all purpose Java bytecode manipulation and analysis framework.
 It can be used to modify existing classes or dynamically generate classes,
 directly in binary form. Provided common transformations and analysis
 algorithms allow one to easily assemble custom complex transformations
 and code analysis tools.
 .
 ASM offer similar functionality as other bytecode frameworks, but it is
 focused on simplicity of use and performance. Because it was designed and
 implemented to be as small and as fast as possible, it makes it very
 attractive for using in dynamic systems.
 .
 This package includes the API Javadoc and examples.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/ant.mk

PACKAGE              := libasm-java
VERSION              := $(DEB_UPSTREAM_VERSION)
JAVA_HOME            := /usr/lib/jvm/default-java
DEB_JARS             := ant ant-junit junit
DEB_ANT_BUILD_TARGET := jar jdoc examples
DEB_ANT_ARGS         := -propertyfile debian/ant.properties -Dproduct.version=$(VERSION)

get-orig-source:
	uscan --download-current-version --force-download --rename

binary-post-install/$(PACKAGE)::
	mh_install -e$(VERSION)
	rm debian/$(PACKAGE)/usr/share/java/asm-debug-all-$(VERSION).jar
	dh_link usr/share/java/asm-all-$(VERSION).jar usr/share/java/asm-debug-all-$(VERSION).jar

clean::
	mh_clean

## asm 5.2

=== debian/changelog ===
asm (5.2-2) unstable; urgency=medium

  * Team upload.
  * Replaced the asm-all symlink with the real jar and re-enabled shrinking
    (Closes: #845606)
  * Build the jar files with bnd to always have up to date OSGi metadata
    and ensure their contents match with upstream binaries.
  * Fixed the links to the JDK classes in the javadoc
    (classpath-doc -> default-jdk-doc)

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 18 Jan 2017 12:17:49 +0100

asm (5.2-1) unstable; urgency=medium

  * Team upload.

  [ Emmanuel Bourg ]
  * New upstream release
  * Build with the DH sequencer instead of CDBS
  * debian/copyright: Credited Eugene Kuleshov
  * Standards-Version updated to 3.9.8
  * Switch to debhelper level 10

  [ tony mancill ]
  * Apply patch to disable the shrink step during the build and thereby
    avoid shipping 1.2 bytecode.  (Closes: #845606)
    - Thanks to 殷啟聰 <seamlikok@gmail.com>.

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 06 Jan 2017 02:11:13 +0100

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,11 @@
 Priority: optional
 Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders: Aditya Vaidya <kroq.gar78@gmail.com>,
+           Emmanuel Bourg <ebourg@apache.org>,
            Damien Raude-Morvan <drazzib@debian.org>
-Build-Depends: cdbs, debhelper (>= 9), default-jdk
-Build-Depends-Indep: ant, maven-repo-helper
-Standards-Version: 3.9.7
+Build-Depends: debhelper (>= 10), default-jdk
+Build-Depends-Indep: ant, bnd, maven-repo-helper
+Standards-Version: 3.9.8
 Vcs-Git: https://anonscm.debian.org/git/pkg-java/asm.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-java/asm.git
 Homepage: http://asm.objectweb.org

=== debian/rules ===
#!/usr/bin/make -f

VERSION ?= $(shell dpkg-parsechangelog | sed -rne 's/^Version: ([0-9.]+)[-+].*$$/\1/p')

export CLASSPATH=/usr/share/java/bnd.jar:/usr/share/java/bndlib.jar

%:
	dh $@ --with maven-repo-helper

override_dh_auto_build:
	mkdir -p output/eclipse
	dh_auto_build -- jar jdoc examples

override_mh_install:
	mh_install -e$(VERSION)

get-orig-source:
	uscan --download-current-version --force-download --rename

## asm 6.0~alpha

=== debian/changelog ===
asm (6.0~alpha-2) unstable; urgency=medium

  * Team upload.
  * Removed the module-info.class from the jars
    (not compatible with the latest Java 9 spec)
  * Track and download the new releases from the OW2's GitLab repository
  * Standards-Version updated to 4.1.1

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 20 Nov 2017 15:41:09 +0100

asm (6.0~alpha-1) unstable; urgency=medium

  * New upstream release
  * Use pkg-info.mk instead of parsing dpkg-parsechangelog to get the version
  * Standards-Version updated to 4.0.0

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 30 Jun 2017 13:57:01 +0200

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,17 @@
 Section: java
 Priority: optional
 Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
-Uploaders: Aditya Vaidya <kroq.gar78@gmail.com>,
-           Emmanuel Bourg <ebourg@apache.org>,
-           Damien Raude-Morvan <drazzib@debian.org>
-Build-Depends: debhelper (>= 10), default-jdk
-Build-Depends-Indep: ant, bnd, maven-repo-helper
-Standards-Version: 3.9.8
+Uploaders:
+ Aditya Vaidya <kroq.gar78@gmail.com>,
+ Emmanuel Bourg <ebourg@apache.org>,
+ Damien Raude-Morvan <drazzib@debian.org>
+Build-Depends:
+ ant,
+ bnd,
+ debhelper (>= 10),
+ default-jdk,
+ maven-repo-helper
+Standards-Version: 4.1.1
 Vcs-Git: https://anonscm.debian.org/git/pkg-java/asm.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-java/asm.git
 Homepage: http://asm.objectweb.org

## asm 6.0

=== debian/changelog ===
asm (6.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Disabled the Java 5 compatibility check to build with Java 9
    - Restored the asm-all and asm-debug-all jars
  * Standards-Version updated to 4.1.2

 -- Emmanuel Bourg <ebourg@apache.org>  Sun, 10 Dec 2017 00:07:28 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  debhelper (>= 10),
  default-jdk,
  maven-repo-helper
-Standards-Version: 4.1.1
+Standards-Version: 4.1.2
 Vcs-Git: https://anonscm.debian.org/git/pkg-java/asm.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-java/asm.git
 Homepage: http://asm.objectweb.org

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

export CLASSPATH=/usr/share/java/bnd.jar:/usr/share/java/bndlib.jar

%:
	dh $@ --with maven-repo-helper

override_dh_auto_build:
	mkdir -p output/eclipse
	dh_auto_build -- jar jdoc examples

override_mh_install:
	mh_install -e$(DEB_VERSION_UPSTREAM)

get-orig-source:
	uscan --download-current-version --force-download --rename

## asm 6.2.1

=== debian/changelog ===
asm (6.2.1-2) unstable; urgency=medium

  * Team upload.
  * Added the missing build dependency on default-jdk-doc

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 19 Sep 2018 10:48:34 +0200

asm (6.2.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Build with Gradle instead of Ant
    - Depend on bnd (>= 3.5.0-2~)
    - Restored the asm-all jar
  * Removed Damien Raude-Morvan from the uploaders
  * Standards-Version updated to 4.2.1
  * Switch to debhelper level 11
  * Use salsa.debian.org Vcs-* URLs
  * Updated the Files-Excluded field in debian/copyright for versions > 6.1
    (Closes: #883895)

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 17 Sep 2018 19:15:21 +0200

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

%:
	dh $@ --buildsystem=gradle --with maven-repo-helper

override_dh_auto_build:
	# Copy the source files to recreate the asm-all artifact (removed in 6.1)
	mkdir -p asm-all/src/
	cp -R asm/src/*          asm-all/src/
	cp -R asm-analysis/src/* asm-all/src/
	cp -R asm-commons/src/*  asm-all/src/
	cp -R asm-tree/src/*     asm-all/src/
	cp -R asm-util/src/*     asm-all/src/
	cp -R asm-xml/src/*      asm-all/src/

	dh_auto_build -- jar javadoc -x :asm-test:compileJava -x :asm-test:javadoc

override_mh_install:
	mh_install -e$(DEB_VERSION_UPSTREAM)

## asm 7.0

=== debian/changelog ===
asm (7.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
    - No longer build the asm-xml module (removed)
    - Ignore the sigtest plugin

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 29 Oct 2018 22:12:59 +0100

=== debian/control ===
--- 
+++ 
@@ -4,17 +4,18 @@
 Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders:
  Aditya Vaidya <kroq.gar78@gmail.com>,
- Emmanuel Bourg <ebourg@apache.org>,
- Damien Raude-Morvan <drazzib@debian.org>
+ Emmanuel Bourg <ebourg@apache.org>
 Build-Depends:
- ant,
- bnd,
- debhelper (>= 10),
+ bnd (>= 3.5.0-2~),
+ debhelper (>= 11),
  default-jdk,
+ default-jdk-doc,
+ gradle-debian-helper (>= 2.0),
+ gradle (>= 4.4),
  maven-repo-helper
-Standards-Version: 4.1.2
-Vcs-Git: https://anonscm.debian.org/git/pkg-java/asm.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-java/asm.git
+Standards-Version: 4.2.1
+Vcs-Git: https://salsa.debian.org/java-team/asm.git
+Vcs-Browser: https://salsa.debian.org/java-team/asm
 Homepage: http://asm.objectweb.org
 
 Package: libasm-java

## asm 7.1

=== debian/changelog ===
asm (7.1-2) unstable; urgency=medium

  * Team upload.
  * Restored the remapping adapters to preserve the backward compatibility

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 19 Jul 2019 13:13:32 +0200

asm (7.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
  * Standards-Version updated to 4.4.0

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 17 Jul 2019 10:11:37 +0200

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  gradle-debian-helper (>= 2.0),
  gradle (>= 4.4),
  maven-repo-helper
-Standards-Version: 4.2.1
+Standards-Version: 4.4.0
 Vcs-Git: https://salsa.debian.org/java-team/asm.git
 Vcs-Browser: https://salsa.debian.org/java-team/asm
 Homepage: http://asm.objectweb.org

## asm 7.2

=== debian/changelog ===
asm (7.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
    - Fixed the build for Gradle 4.4
  * Updated the homepage URL
  * Standards-Version updated to 4.5.0

 -- Emmanuel Bourg <ebourg@apache.org>  Sat, 25 Jan 2020 21:37:01 +0100

=== debian/control ===
--- 
+++ 
@@ -13,10 +13,10 @@
  gradle-debian-helper (>= 2.0),
  gradle (>= 4.4),
  maven-repo-helper
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Vcs-Git: https://salsa.debian.org/java-team/asm.git
 Vcs-Browser: https://salsa.debian.org/java-team/asm
-Homepage: http://asm.objectweb.org
+Homepage: http://asm.ow2.io
 
 Package: libasm-java
 Architecture: all

## asm 7.3.1

=== debian/changelog ===
asm (7.3.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
  * Switch to debhelper level 12

 -- Emmanuel Bourg <ebourg@apache.org>  Sun, 07 Jun 2020 22:50:41 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  Emmanuel Bourg <ebourg@apache.org>
 Build-Depends:
  bnd (>= 3.5.0-2~),
- debhelper (>= 11),
+ debhelper-compat (= 12),
  default-jdk,
  default-jdk-doc,
  gradle-debian-helper (>= 2.0),

## asm 9.0

=== debian/changelog ===
asm (9.0-1) unstable; urgency=medium

  * New upstream release
    - Refreshed the patches
  * Standards-Version updated to 4.5.1

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 28 Dec 2020 13:02:56 +0100

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  gradle-debian-helper (>= 2.0),
  gradle (>= 4.4),
  maven-repo-helper
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Git: https://salsa.debian.org/java-team/asm.git
 Vcs-Browser: https://salsa.debian.org/java-team/asm
 Homepage: http://asm.ow2.io

=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,6 @@
 	cp -R asm-commons/src/*  asm-all/src/
 	cp -R asm-tree/src/*     asm-all/src/
 	cp -R asm-util/src/*     asm-all/src/
-	cp -R asm-xml/src/*      asm-all/src/
 
 	dh_auto_build -- jar javadoc -x :asm-test:compileJava -x :asm-test:javadoc

## asm 9.1

=== debian/changelog ===
asm (9.1-1) unstable; urgency=medium

  * New upstream release
    - Refreshed the patches

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 08 Feb 2021 11:25:46 +0100

## asm 9.2

=== debian/changelog ===
asm (9.2-1) unstable; urgency=medium

  * New upstream release
    - Refreshed the patches
  * Standards-Version updated to 4.6.0.1

 -- Emmanuel Bourg <ebourg@apache.org>  Sat, 18 Sep 2021 09:55:58 +0200

## asm 9.3

=== debian/changelog ===
asm (9.3-1) unstable; urgency=medium

  * New upstream release
    - Refreshed the patches

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 02 May 2022 19:31:16 +0200

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  gradle-debian-helper (>= 2.0),
  gradle (>= 4.4),
  maven-repo-helper
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0.1
 Vcs-Git: https://salsa.debian.org/java-team/asm.git
 Vcs-Browser: https://salsa.debian.org/java-team/asm
 Homepage: http://asm.ow2.io

## asm 9.4

=== debian/changelog ===
asm (9.4-1) unstable; urgency=medium

  * New upstream release
    - Refreshed the patches
  * Removed the -java-doc package
  * Standards-Version updated to 4.6.1

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 28 Nov 2022 00:20:38 +0100

=== debian/control ===
Source: asm
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders:
 Aditya Vaidya <kroq.gar78@gmail.com>,
 Emmanuel Bourg <ebourg@apache.org>
Build-Depends:
 bnd (>= 3.5.0-2~),
 debhelper-compat (= 12),
 default-jdk,
 gradle-debian-helper (>= 2.0),
 gradle (>= 4.4),
 maven-repo-helper
Standards-Version: 4.6.1
Vcs-Git: https://salsa.debian.org/java-team/asm.git
Vcs-Browser: https://salsa.debian.org/java-team/asm
Homepage: http://asm.ow2.io

Package: libasm-java
Architecture: all
Depends: ${misc:Depends}
Description: Java bytecode manipulation framework
 ASM is an all purpose Java bytecode manipulation and analysis framework.
 It can be used to modify existing classes or dynamically generate classes,
 directly in binary form. Provided common transformations and analysis
 algorithms allow one to easily assemble custom complex transformations
 and code analysis tools.
 .
 ASM offer similar functionality as other bytecode frameworks, but it is
 focused on simplicity of use and performance. Because it was designed and
 implemented to be as small and as fast as possible, it makes it very
 attractive for using in dynamic systems.

## asm 9.7

=== debian/changelog ===
asm (9.7-1) unstable; urgency=medium

  * New upstream release
    - Refreshed the patches

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 08 Apr 2024 17:37:43 +0200

asm (9.5-1) unstable; urgency=medium

  * New upstream release
    - Refreshed the patches
    - No longer depend on bnd
  * Standards-Version updated to 4.6.2

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 22 Sep 2023 12:48:13 +0200

=== debian/control ===
--- 
+++ 
@@ -6,13 +6,12 @@
  Aditya Vaidya <kroq.gar78@gmail.com>,
  Emmanuel Bourg <ebourg@apache.org>
 Build-Depends:
- bnd (>= 3.5.0-2~),
  debhelper-compat (= 12),
  default-jdk,
  gradle-debian-helper (>= 2.0),
  gradle (>= 4.4),
  maven-repo-helper
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/java-team/asm.git
 Vcs-Browser: https://salsa.debian.org/java-team/asm
 Homepage: http://asm.ow2.io

## asm 9.7.1

=== debian/changelog ===
asm (9.7.1-1) unstable; urgency=medium

  * New upstream release
    - Refreshed the patches

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 23 Oct 2024 17:25:58 +0200

asm (9.7-2) unstable; urgency=medium

  [ Vladimir Petko ]
  * d/patches/11-gradle-compatibility.patch: use --source/--target
    compatibility level 8 (Closes: #1082600).

  [ Emmanuel Bourg ]
  * Standards-Version updated to 4.7.0

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 23 Sep 2024 09:43:20 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  gradle-debian-helper (>= 2.0),
  gradle (>= 4.4),
  maven-repo-helper
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/java-team/asm.git
 Vcs-Browser: https://salsa.debian.org/java-team/asm
 Homepage: http://asm.ow2.io

=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,7 @@
 	cp -R asm-tree/src/*     asm-all/src/
 	cp -R asm-util/src/*     asm-all/src/
 
-	dh_auto_build -- jar javadoc -x :asm-test:compileJava -x :asm-test:javadoc
+	dh_auto_build -- jar -x :asm-test:compileJava
 
 override_mh_install:
 	mh_install -e$(DEB_VERSION_UPSTREAM)

## asm 9.8

=== debian/changelog ===
asm (9.8-2) unstable; urgency=medium

  * Set the 'release' build property to remove the -SNAPSHOT version suffix
    (Closes: #1118387)

 -- Emmanuel Bourg <ebourg@apache.org>  Sun, 19 Oct 2025 11:35:58 +0200

asm (9.8-1) unstable; urgency=medium

  * New upstream release
    - Refreshed the patches
  * Standards-Version updated to 4.7.2

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 16 Apr 2025 14:15:49 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  gradle-debian-helper (>= 2.0),
  gradle (>= 4.4),
  maven-repo-helper
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/java-team/asm.git
 Vcs-Browser: https://salsa.debian.org/java-team/asm
 Homepage: http://asm.ow2.io

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,4 @@
 #!/usr/bin/make -f
-
-include /usr/share/dpkg/pkg-info.mk
 
 %:
 	dh $@ --buildsystem=gradle --with maven-repo-helper
@@ -14,7 +12,7 @@
 	cp -R asm-tree/src/*     asm-all/src/
 	cp -R asm-util/src/*     asm-all/src/
 
+	# Set the 'release' property to disable the -SNAPSHOT version suffix
+	echo "release=true" > gradle.properties
+
 	dh_auto_build -- jar -x :asm-test:compileJava
-
-override_mh_install:
-	mh_install -e$(DEB_VERSION_UPSTREAM)

## asm 9.9.1

=== debian/changelog ===
asm (9.9.1-1) unstable; urgency=medium

  * New upstream release (Closes: #1127582)
    - Refreshed the patches
  * Standards-Version updated to 4.7.3

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 11 Feb 2026 09:35:55 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  gradle-debian-helper (>= 2.0),
  gradle (>= 4.4),
  maven-repo-helper
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Git: https://salsa.debian.org/java-team/asm.git
 Vcs-Browser: https://salsa.debian.org/java-team/asm
 Homepage: http://asm.ow2.io
@@ -19,6 +19,7 @@
 Package: libasm-java
 Architecture: all
 Depends: ${misc:Depends}
+Multi-Arch: foreign
 Description: Java bytecode manipulation framework
  ASM is an all purpose Java bytecode manipulation and analysis framework.
  It can be used to modify existing classes or dynamically generate classes,
